      character*(*) function left_justify(str)
C
C Description:
C
C This routine returns the input string but the string has been
C shifted left to remove all leading blanks.
C     
C Name         in/out type          Structure  Meaning
C
C left_justify out    character(*)  scalar     The returned string. It is
C                                              a left justified version
C                                              of the input string. 
C str          in     character(*)  scalar     The input string
C                                              to be left justified.
C
C Errors:
C
C No errors are trapped in this routine.
C     
C Routines accessed
C
C fnblnk
C lnblnk
C
      implicit none
      integer ptr,lnblnk,fnblnk
      character*(*) str
      ptr=lnblnk(str)
      if (ptr .gt. 0) then
         left_justify=str(fnblnk(str):)
      else
         left_justify=' '
      end if
      return
      end
